#### D.5.2.46 chernPoly

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chernPoly(c, t); c list of polynomials, t polynomial

Return:
  polynomial

Purpose:
  computes the Chern polynomial in t

Note:
  does the same as toddPoly(...)

Example:

    LIB "chern.lib";
    ring r=0, (c(1..5), t), ds;
    list l=c(1..5);
    // get the Chern polynomial 1 + c(1)*t + c(2)*t^2 + ... + c(5)*t^5
    print( chernPoly(l, t) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.